Root Rooting with HBOOT Version

Discussion in 'Android Devices' started by DasteeZ, Jul 11, 2010.

  1. DasteeZ

    DasteeZ Member
    16

    Dec 7, 2009
    10
    2
    16
    I'm currently on my third Eris. My first had the silent bug extremely bad and I upgraded to 2.1v3 instead of OTA, so I got a new one. The 2nd one was perfect at first; it came with 1.5 stock, but soon I found that it had a broken trackball and clearly HTC didn't fix that before shipping it to me. So after further complaining I got a 3rd Eris, which works fine although it shipped with 2.1, which I suspect is really 2.1v3 not OTA, but no definite way to check. I've recently decided I wanted to root my phone, but discovered that my HBOOT version is 1.49 which from what I read can't be rooted? My question is is it possible to a root a phone on this HBOOT version and also does this mean that I'm probably running 2.1v3? Thanks for any help.
     

    Advertisement
  2. scary alien

    scary alien not really so scary
    Moderator
    7,028

    Mar 5, 2010
    22,009
    22,838
    7,028
    Male
    space alien ;)
    Indy
    Yeah, if your HBOOT is 1.49.0000 (especially if you did install one of the 2.1 leaks), then its going to be extremely difficult to root. There is some work going on by some folks over at XDA with a timing-senstive method for rooting a 2.1 leak, but there's only been about 30 folks that have done it (progress is slow).

    Check this thread for information about which version you are running:

    http://androidforums.com/all-things-root-eris/87118-reference-what-htc-rom-do-i-have.html

    There's some other info. in this thread about HBOOT versions (how to check, etc.):

    http://androidforums.com/all-things...oot-troubleshooting-guide-htc-droid-eris.html
     
    DasteeZ likes this.
  3. DasteeZ

    DasteeZ Member
    16

    Dec 7, 2009
    10
    2
    16
    No, this Eris is fresh from refurb. I'm just thinking that they sent me a refurb that someone already loaded 2.1v3 on which is extremely stupid. I'll check it out though thanks.
     
  4. scary alien

    scary alien not really so scary
    Moderator
    7,028

    Mar 5, 2010
    22,009
    22,838
    7,028
    Male
    space alien ;)
    Indy
    You might be right...there were some early refurbs that folks got that had one of the "golden" HBOOT versions, but most lately have gotten phones with a later 1.49.0000 HBOOT. Good luck...maybe you are one of the lucky ones.
     
  5. montyboy

    montyboy Member
    16

    Feb 7, 2010
    21
    1
    16
    InfoSec/Developer
    /home/ohio
    Has anyone asked HTC for a method to downgrade the bootloader from 1.49 to 1.47?

    I think I might just open a support ticket and ask. I am in the same boat - my refurbished Eris is rocking a 1.49 that can't be rooted. I bought my device straight up too - no contract and I think I should be afforded the option to root.
     
  6. scary alien

    scary alien not really so scary
    Moderator
    7,028

    Mar 5, 2010
    22,009
    22,838
    7,028
    Male
    space alien ;)
    Indy
    lol! That would be awesome if you got a positive response from HTC regarding doing this...and an idol would be erected in your name by all of the 2.1 leakers. I haven't heard that anyone was ballsy (sp?) enough to do this. Go for it...can't hurt...
     

Share This Page

Loading...